import { isValidDate } from '..'

it('returns true for valid dates', () => {
  expect(isValidDate(new Date('1970-01-01'))).toBe(true)
  expect(isValidDate(new Date('2020-01-01'))).toBe(true)
  expect(isValidDate(new Date('2020-08-26T08:54:32.020Z'))).toBe(true)
})

it('returns false for invalid dates', () => {
  expect(isValidDate(new Date('2020-13-01'))).toBe(false)
  expect(isValidDate(new Date('2020-12-32'))).toBe(false)
  expect(isValidDate(new Date('2020-08-26T08:99:32.020Z'))).toBe(false)
})
